Apache Tomcat 6.0.51

## org.apache.tomcat.util.net
Class SSLSupport.CipherData

    java.lang.Object
      org.apache.tomcat.util.net.SSLSupport.CipherData

Enclosing interface:
  SSLSupport

    public static final class SSLSupport.CipherData

extends java.lang.Object

Simple data class that represents the cipher being used, along with the corresponding effective key size. The specified phrase must appear in the name of the cipher suite to be recognized.

Field Summary
`int` | `keySize`
`java.lang.String` | `phrase`

Constructor Summary
`SSLSupport.CipherData(java.lang.String phrase, int keySize)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### phrase

    public java.lang.String phrase

### keySize

    public int keySize

Constructor Detail

### SSLSupport.CipherData

    public SSLSupport.CipherData(java.lang.String phrase,
                                 int keySize)

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.